loci.formats.tiff

## Enum IFDType

- java.lang.Object
- - java.lang.Enum<IFDType>
  - - loci.formats.tiff.IFDType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IFDType>, loci.common.enumeration.CodedEnum

      public enum IFDType
      extends java.lang.Enum<IFDType>
      implements loci.common.enumeration.CodedEnum

  An enumeration of IFD types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII`
    `BYTE`
    `DOUBLE`
    `FLOAT`
    `IFD`
    `IFD8`
    `LONG`
    `LONG8`
    `RATIONAL`
    `SBYTE`
    `SHORT`
    `SLONG`
    `SLONG8`
    `SRATIONAL`
    `SSHORT`
    `UNDEFINED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bytesPerElement` Number of bytes per element of this type.
    `private int` | `code` Code for the IFD type in the actual TIFF file.
    `private static java.util.Map<java.lang.Integer,IFDType>` | `lookup`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IFDType` | `get(int code)` Retrieves a IFD type by reverse lookup of its "code".
    `int` | `getBytesPerElement()` Retrieves the number of bytes per element.
    `int` | `getCode()`
    `static IFDType` | `getType(java.lang.Object value, boolean bigTiff)` Get the type corresponding to the given value.
    `static IFDType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IFDType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTE

          public static final IFDType BYTE

    - #### ASCII

          public static final IFDType ASCII

    - #### SHORT

          public static final IFDType SHORT

    - #### LONG

          public static final IFDType LONG

    - #### RATIONAL

          public static final IFDType RATIONAL

    - #### SBYTE

          public static final IFDType SBYTE

    - #### UNDEFINED

          public static final IFDType UNDEFINED

    - #### SSHORT

          public static final IFDType SSHORT

    - #### SLONG

          public static final IFDType SLONG

    - #### SRATIONAL

          public static final IFDType SRATIONAL

    - #### FLOAT

          public static final IFDType FLOAT

    - #### DOUBLE

          public static final IFDType DOUBLE

    - #### IFD

          public static final IFDType IFD

    - #### LONG8

          public static final IFDType LONG8

    - #### SLONG8

          public static final IFDType SLONG8

    - #### IFD8

          public static final IFDType IFD8

  - ### Field Detail

    - #### code

          private int code

      Code for the IFD type in the actual TIFF file.

    - #### bytesPerElement

          private int bytesPerElement

      Number of bytes per element of this type.

    - #### lookup

          private static final java.util.Map<java.lang.Integer,IFDType> lookup

  - ### Method Detail

    - #### values

          public static IFDType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IFDType c : IFDType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IFDType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static IFDType get(int code)

      Retrieves a IFD type by reverse lookup of its "code".
      Parameters:
        `code` - The code to look up.
      Returns:
        The `IFDType` instance for the `code` or `null` if it does not exist.

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `loci.common.enumeration.CodedEnum`

    - #### getBytesPerElement

          public int getBytesPerElement()

      Retrieves the number of bytes per element.
      Returns:
        See above.

    - #### getType

          public static IFDType getType(java.lang.Object value,
                                        boolean bigTiff)
                                 throws FormatException

      Get the type corresponding to the given value.
      Parameters:
        `value` - IFD value
        `bigTiff` - true if BigTIFF will be written (impacts long values)
      Returns:
        appropriate IFDType for the given value
      Throws:
        `FormatException` - if an appropriate IFDType cannot be determined

Copyright © 2026 Open Microscopy Environment